# Easy Diary
## [README of English][README.md]

[![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/unicodeveloper/awesome-opensource-apps)
[![License][licensesvg]][LICENSE.md]   

<img src="screenshots/ic_launcher.png" >

이지다이어리는 사용자 경험을 기반으로 개발한 다이어리 어플리케이션입니다. 

<a href='https://play.google.com/store/apps/details?id=me.blog.korn123.easydiary'><img alt='Get it on Google Play' src='https://play.google.com/intl/en_us/badges/images/generic/en_badge_web_generic.png' width="258" height="98"/></a>

<img src="screenshots/app_easydiary01.png" width="288" height="512">&nbsp;
<img src="screenshots/showcase.gif" width="288" height="512">

# 제공기능
```
01. 다이어리 쓰기 (음성 또는 키패드)
02. 다이어리 검색
03. 다이어리 보기
04. 다이어리 수정
05. 차트
06. 캘린터
07. 다이어리 카드
08. 타임라인
09. 고급설정
     - 폰트변경
     - 잠금설정
     - 다이어리 백업 및 복구
```
# 스크린샷
## 다이어리 쓰기 (음성 또는 키패드)
<img src="screenshots/app_easydiary02_01.png" width="288" height="512">&nbsp;
<img src="screenshots/app_easydiary02_02.png" width="288" height="512">&nbsp;
## 다이어리 검색
<img src="screenshots/app_easydiary03.png" width="288" height="512">&nbsp;
## 다이어리 보기
<img src="screenshots/app_easydiary04.png" width="288" height="512">&nbsp;
<img src="screenshots/app_easydiary04_02.png" width="288" height="512">&nbsp;
## 다이어리 수정
<img src="screenshots/app_easydiary05.png" width="288" height="512">&nbsp;
## 차트
<img src="screenshots/app_easydiary07.png" width="288" height="512">&nbsp;
## 캘린터
<img src="screenshots/app_easydiary08.png" width="288" height="512">&nbsp;
## 다이어리 카드
<img src="screenshots/app_easydiary10_01.png" width="288" height="512">&nbsp;
<img src="screenshots/app_easydiary10_02.png" width="288" height="512">&nbsp;
<img src="screenshots/app_easydiary10_03.png" width="288" height="512">&nbsp;
<img src="screenshots/app_easydiary10_04.png" width="288" height="512">&nbsp;
<img src="screenshots/app_easydiary10_05.png" width="288" height="512">&nbsp;
<img src="screenshots/app_easydiary10_06.png" width="288" height="512">&nbsp;
<img src="screenshots/app_easydiary10_07.png" width="288" height="512">&nbsp;
## 타임라인
<img src="screenshots/app_easydiary11_01.png" width="288" height="512">&nbsp;
## 고급설정
<img src="screenshots/app_easydiary09_01.png" width="288" height="512">&nbsp;
<img src="screenshots/app_easydiary09_03.png" width="288" height="512">&nbsp;
<img src="screenshots/app_easydiary09_02.png" width="288" height="512">&nbsp;
<img src="screenshots/app_easydiary06.png" width="288" height="512">&nbsp;


# 빌드방법
```
Step1. 'aaf-easydiary' 프로젝트를 포크하거나 다운로드 합니다.
Step2. 안드로이드 스튜디오에서 'aaf-easydiary' 프로젝트를 임포트 합니다.
Step3. 아래 링크를 이용해서 svg 이미지를 Flaticon 사이트에서 다운로드 합니다.
Step4. 프로젝트에서 사용하는 10개의 svg파일을 안드로이드 스튜디오에서 임포트합니다.
       프로젝트 우클릭 > New > Vector Asset 메뉴에서 임포트 가능하며 리소스 이름은 다음과 같습니다.
       clouds-and-sun.svg -> ic_clouds_and_sun.xml
       umbrella-1.svg     -> ic_umbrella_1.xml
       sunny.svg          -> ic_sunny.xml
       stars-2.svg        -> ic_stars_2.xml
       snowing.svg        -> ic_snowing.xml
       raindrops.svg      -> ic_raindrops.xml
       rainbow.svg        -> ic_rainbow.xml
       night-rain.svg     -> ic_night_rain.xml
       moon-9.svg         -> ic_moon_9.xml
       bolt.svg           -> ic_bolt.xml
Step5. 구글드라이브 사용을 위해 'aaf-easydiary'의 패키지이름과 SHA-1 서명인증서 지문을 등록합니다.(https://console.developers.google.com/)
Step6. 안드로이드 스튜디오에서 'aaf-easydiary' 프로젝트를 빌드합니다.
```
[Flaticon 사이트에서 'weather-set-2' svg images 다운받기](https://www.flaticon.com/packs/weather-set-2)

# 라이선스
[LICENSE][LICENSE.md]

[licensesvg]: https://img.shields.io/badge/License-Apache--2.0-brightgreen.svg
[README.md]: https://github.com/hanjoongcho/aaf-easydiary/blob/master/README.md
[LICENSE.md]: https://github.com/hanjoongcho/aaf-easydiary/blob/master/LICENSE.md